CREATE procedure [C6Staging].[RP_ST_PosizioniProposta] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PosizioniProposta',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_PosizioniProposta
	insert into c6staging.RP_PosizioniProposta
	SELECT [chiavePosizionePro]
      ,[chiaveProgetto]
      ,[chiaveProdotto]
      ,[conto]
      ,[rubricato]
      ,[codConf]
      ,[numPolizza]
      ,[custGar]
      ,[codAbi]
      ,[termId]
      ,[anno]
      ,[prog]  from [CONSUNI].[ConsulenzaUnica].dbo.PosizioniProposta
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PosizioniProposta' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PosizioniProposta'
		)
end